> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fireworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quota

> Gets a single quota by resource name.



## OpenAPI

````yaml get /v1/accounts/{account_id}/quotas/{quota_id}
openapi: 3.1.0
info:
  title: Gateway REST API
  version: 4.259.0
servers:
  - url: https://api.fireworks.ai
security:
  - BearerAuth: []
tags:
  - name: Gateway
paths:
  /v1/accounts/{account_id}/quotas/{quota_id}:
    get:
      tags:
        - Gateway
      summary: Get Quota
      description: Gets a single quota by resource name.
      operationId: Gateway_GetQuota
      parameters:
        - name: readMask
          description: >-
            The fields to be returned in the response. If empty or "*", all
            fields will be returned.
          in: query
          required: false
          schema:
            type: string
        - name: account_id
          in: path
          required: true
          description: The Account Id
          schema:
            type: string
        - name: quota_id
          in: path
          required: true
          description: The Quota Id
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayQuota'
components:
  schemas:
    gatewayQuota:
      type: object
      properties:
        name:
          type: string
          title: >-
            The resource name of the quota, e.g.
            accounts/my-account/quotas/h100-us-iowa-1
          readOnly: true
        value:
          type: string
          format: int64
          description: >-
            The value of the quota being enforced. This may be lower than the
            max_value

            if the user manually lowers it.
        maxValue:
          type: string
          format: int64
          description: The maximum approved value.
        usage:
          type: number
          format: double
          description: The usage of the quota.
          readOnly: true
        updateTime:
          type: string
          format: date-time
          description: The update time for the quota.
          readOnly: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication using your Fireworks API key. Format: Bearer
        <API_KEY>
      bearerFormat: API_KEY

````